<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.dbcapp.mapper.record.TEnergyTceCorrectMapper">
    <resultMap id="BaseResultMap" type="com.nantian.cloud.dbcapp.entity.TEnergyTceCorrect">
        <id column="id" property="id" />
        <result column="enterpriseCode" property="enterpriseCode" />
        <result column="energyCode" property="energyCode" />
        <result column="quotaName" property="quotaName" />
        <result column="dataCode" property="dataCode" />
        <result column="calculate" property="calculate" />
        <result column="calculateTime" property="calculateTime" />
        <result column="ratioFlag" property="ratioFlag" />
        <result column="ratio" property="ratio" />
    </resultMap>
    <select id="getList" resultType="java.util.Map">
        SELECT t1.* FROM t_energy_tce_correct t1 where t1.enterpriseCode =#{epc}
    </select>
    <select id="getCorrectList" resultType="java.util.Map">
        SELECT * FROM dict_energy_type_unit_collect
    </select>
</mapper>